# -*- coding: utf-8 -*-
"""
Created on Mon Jan 13 12:11:02 2020

@author: antoira
"""

X = [[1, 2, 3], [4, 5, 6], [7, 8, 9], [10, 11, 12]]
X[2][0] = 0

def SizeMatrix(M):
  rowIndex = 0
  size = 0
  while rowIndex<len(M):
    size += len(M[rowIndex])
    rowIndex += 1
  return size

def PrintMatrix(M):
  rowIndex = 0
  while rowIndex<len(M):
    print(M[rowIndex])
    rowIndex += 1

def PrintMatrix2(M):
  for row in M:
    print(row)

def PrintMatrix3(M):
  for rowIndex in range(0, len(M)):
    print(M[rowIndex])

def UnityMatrix(rank):
  M = []
  rowIndex = 0
  while rowIndex<rank:
    row = []
    columnIndex = 0
    while columnIndex<rank:
      if rowIndex==columnIndex:
        row.append(1)
      else:
        row.append(0)
      columnIndex += 1
    M.append(row)
    rowIndex += 1
  return M

def MultiplyByAScalar(M, k):
  R = []
  rowIndex = 0
  while rowIndex<len(M):
    row = []
    columnIndex = 0
    while columnIndex<len(M[rowIndex]):
      row.append(M[rowIndex][columnIndex]*k)
      columnIndex += 1
    R.append(row)
    rowIndex += 1
  return R

def Sum(M, N):
  R = []
  rowIndex = 0
  while rowIndex<len(M):
    row = []
    columnIndex = 0
    while columnIndex<len(M[rowIndex]):
      row.append(M[rowIndex][columnIndex]+N[rowIndex][columnIndex])
      columnIndex += 1
    R.append(row)
    rowIndex += 1
  return R

U4 = UnityMatrix(4)
K4 = MultiplyByAScalar(U4, 2)
M3 = [[0, 1], [2, 3], [4, 5]]
K3 = MultiplyByAScalar(M3, 2)
R3 = Sum(M3, K3)
print(M3)
print(K3)
print(R3)


