# TPK4186 - Advanced Tools for Performance Engineering
# SameWordTwice.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Required modules
import sys
import re

def CheckFile(fileName):
  try:
    inputFile = open(fileName, "r")
  except:
    print("Unable to open file " + fileName)
    sys.exit()
  lineNumber = 0
  for line in inputFile:
    lineNumber += 1
    line = line.rstrip()
    match = re.search(r"\b(\w+)\b.*\b\1\b", line)
    if match:
      print(str(lineNumber) + ": " + line)
      print("match: " + match.group(1) + " at " + str(match.start()) + "\n")
  inputFile.close()

fileName = "I Have a Dream.txt"
#fileName = "Lorem Ipsum.txt"
#fileName = "Universal Declaration of Human Rights.txt"

CheckFile(fileName)