# TPK4186 - Advanced Tools for Performance Engineering
# CapitalizeIdentifier.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.

# Definition of the function
def CapitalizeIdentifier(sourceIdentifier):
  targetIdentifier = ""
  firstCharacterInWord = True
  for character in sourceIdentifier:
    if firstCharacterInWord:
      targetIdentifier += character.upper()
      firstCharacterInWord = False  
    elif character=="_":
      firstCharacterInWord = True
    else:
      targetIdentifier += character
  return targetIdentifier

# Tests
print(CapitalizeIdentifier("number_of_transactions"))
