# TPK4186 - Advanced Tools for Performance Engineering
# FileAppend.py
# by Antoine Rauzy
# Copyrights (c) 2019-2020 NTNU
#
# This file is part of the educational material provided to NTNU students registered to the course TPK4186.
# It is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License.
# For details about this license, see https://creativecommons.org/licenses/by-nc/4.0/.
# TPK4186 - Advanced Tools for Performance Engineering

# Function
def FileAppend(sourceFileName, targetFileName):
  try:
    sourceFile = open(sourceFileName, "r") 
  except: 
    print("Unable to open file " + sourceFileName)
    return 1
  try:
    targetFile = open(targetFileName, "a") 
  except: 
    print("Unable to open file " + targetFileName)
    sourceFile.close()
    return 1
  for line in sourceFile:
    targetFile.write(line)
  targetFile.flush()
  targetFile.close()
  sourceFile.close()
  return 0

# Test
FileAppend("Lorem Ipsum.txt", "Lorem Ipsum - 2.txt")
FileAppend("Lorem Ipsum.txt", "Lorem Ipsum - 2.txt")

